import React, { ComponentProps } from 'react';
import { sizeType } from '../../utils/componentPropsTypes';
interface ISliderProps {
    label?: string;
    value?: number;
    min?: number;
    max?: number;
    step?: number;
    onChange?(newValue: number, currentValue: number): void;
    size?: Omit<sizeType, 'medium'>;
    hideProgress?: boolean;
    hasCurrentPercent?: boolean;
    hasPointText?: boolean;
}
export declare type ISlider = ISliderProps & Omit<ComponentProps<'div'>, keyof ISliderProps>;
declare const Slider: React.FC<ISlider>;
export default Slider;
