import { ComponentProps, FC, ReactNode } from 'react';
import { modeType } from '../../utils/componentPropsTypes';
import { ICheckbox } from '../Checkbox';
export interface ICardListItem {
    title: ReactNode;
    children: ReactNode;
    footerText?: ReactNode;
    checkbox?: Omit<ICheckbox, 'label'> | boolean;
    modeProp?: modeType;
}
declare const CardListItem: FC<ICardListItem & Omit<ComponentProps<'div'>, keyof ICardListItem>>;
export default CardListItem;
