import React from 'react';
import { modeType } from '../../utils/componentPropsTypes';
export interface IThemeProvider {
    children: React.ReactNode;
    theme?: any;
}
export interface IDefaultTheme {
    breakpoints: {
        values: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
        };
    };
    mode: modeType;
}
declare const ThemeProvider: React.FC<IThemeProvider>;
export default ThemeProvider;
